[build-system]
requires = ["setuptools>=64"]
build-backend = "setuptools.build_meta"

[project]
name = "babofkator"
version = "0.5"
description = "Korekce podkosů a úkosů STL reliéfu a tvorba inverzní jednodílné formy"
readme = "README.md"
requires-python = ">=3.9"
license = {text = "MIT"}
dependencies = ["numpy>=1.23", "scipy>=1.9", "flask>=2.2", "matplotlib>=3.6"]

[project.scripts]
babofkator = "babofkator.cli:main"
babofkator-gui = "babofkator.webapp:main"

[tool.setuptools.packages.find]
include = ["babofkator*"]

[tool.setuptools.package-data]
babofkator = ["static/*", "static/vendor/*"]
